#define FG_COLOR vec3({foreground.rgb})
#define BG_COLOR vec3({background.rgb})

precision mediump float;

uniform vec2 uSize;
uniform sampler2D uImage;

void main() {{
    vec2 uv = gl_FragCoord.xy / uSize;
    
    float value = texture2D(uImage, uv).r;
    gl_FragColor = vec4(mix(BG_COLOR / 255.0, FG_COLOR / 255.0, value), 1.0);
}}
